package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.AppStoreApplication;

import java.util.List;

@ApiModel(value = "VpnBeanWrapper",
        description = "Information related to VPN Configuration.")
public class AppStoreApplicationBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "App Stoe Application.", required = true)
    private AppStoreApplication operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public AppStoreApplication getOperation() {
        return operation;
    }

    public void setOperation(AppStoreApplication operation) {
        this.operation = operation;
    }
}
